# Further Reading

A collection of links, papers, and resources that were informative or interesting, but did not make it into the overview.

### Mastodon & ActivityPub

- [A blog post on retry logic, media replication, and the consequences of a push-based protocol on smaller instances](https://beesbuzz.biz/blog/1994-Mastodon-instance-rambling)
- [Federated meets P2p](https://medium.com/@RangerMauve/federated-meets-p2p-3a357145e7c0)
- [Wishing for a Mastodon Search Engine](https://chrpaul.de/2018/11/wishing-for-a-mastodon-search-engine.html)
- [Supporting the portability of profiles using the blockchain in the Mastodon social network](https://webthesis.biblio.polito.it/12436/1/tesi.pdf)

### Identity

- [A Decentralized Digital Identity Architecture](https://www.frontiersin.org/articles/10.3389/fbloc.2019.00017/full)
- [Jami name servers](https://jami.net/why-is-jami-truly-distributed/)
- [Human hash](https://github.com/zacharyvoase/humanhash)
- [OpenID is a Nightmare - blog post](https://rob.conery.io/2010/11/16/open-id-is-a-party-that-happened/)
- [Magic: A Key-based Authentication System Self-Sovereign Identity](https://www.dropbox.com/s/3flqaszoigwis5b/Magic%20Whitepaper.pdf?dl=0)

### Trust & Reputation

- [Havelaar: A Robust and Efficient Reputation System for Active Peer-to-Peer Systems](https://eprints.cs.univie.ac.at/5698/1/27-Havelaar.pdf)
- [TrustNet: Trust-based Moderation Using Distributed Chat Systems for Transitive Trust Propagation](https://cblgh.org/dl/trustnet-cblgh.pdf) - Cabal / Scuttlebutt / DAT based research

### More decentralized social networks

- [PrPl](http://www-cs-students.stanford.edu/~hangal/prpl.pdf)
- [A new framework of decentralized social networks](https://lib.dr.iastate.edu/cgi/viewcontent.cgi?article=6213&context=etd)
- [Cachet: A Decentralized Architecture for Privacy Preserving Social Networking with Caching](http://crystal.uta.edu/~shirin/papers/nilizadeh-cachet-conext12.pdf)
- [Zot, Hubzilla](https://medium.com/we-distribute/got-zot-mike-macgirvin-45287601ff19)
- [The Federation, the Fediverse](https://medium.com/we-distribute/a-quick-guide-to-the-free-network-c069309f334)

### Decentralized Search Engines

- [A Collaborative Decentralized Approach to Web Search](https://ieeexplore.ieee.org/abstract/document/6166901)
- [Searchius: A Collaborative Search Engine](https://ieeexplore.ieee.org/document/4351430)
- [Presearch](https://www.presearch.io/uploads/WhitePaper.pdf)

### Interoperability

- [Implementing ActivityPub in ssb clients](https://github.com/ssbc/ssb-db/issues/202)
